<div id="MaximizeDialog">
  <div class="modal" id="dlgMaximizeDialog" tabindex="1" role="dialog" data-backdrop='static'>
    <div class="modal-dialog" style="width: 100%; height: 100%; padding: 10px; margin: 0px">
      <div class="modal-content" id="MaximizeDialogContents" style="height: 100%">
        <div class="modal-header">
          <div class="pull-left">
            <h4 class="modal-title" id="MaximizeDialogTitle">Dialog</h4>
          </div>
          <div class="pull-right" id="MaximizeToolbar"></div>
          <div class="clearfix"></div>
        </div>
        <div class="modal-body" id="MaximizeDialogBody"></div>
      </div>
    </div>
  </div>
</div>
<div id="DeleteEventDialog">
  <div class="modal" id="dlgDeleteEventDialog" tabindex="-1" role="dialog" data-backdrop='static'>
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h3 class="modal-title"><i class="fa fa-trash"></i> Delete event</h3>
        </div>
        <div class="modal-body">
          <p>Some events may be due to the manipulation of the equipment and, therefore, are not caused by the electrical network. These events can be eliminated so as not to affect the calculated quality of supply results.</p>
          <p>Are you sure you want to delete the selected event?</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-danger">Yes</button>
          <button type="button" class="btn btn-default" data-dismiss="modal">No</button>
        </div>
      </div>
    </div>
  </div>
</div>
<div id="AggregWarningDialog">
  <div class="modal fade" id="dlgAggregWarning" tabindex="-1" role="dialog" data-backdrop='static'>
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h3 class="modal-title"><i class="fa fa-exclamation-triangle"></i> Aggregation change...</h3>
        </div>
        <div class="modal-body">
          <p>Requested aggregation returns to much points.<br/>Zoom in and try again.</p><p>Aggregation period has been changed to the lowest allowed.</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-success" data-dismiss="modal"><span class="glyphicon glyphicon-ok"></span>  Continue</button>
        </div>
      </div>
    </div>
  </div>
</div>
<div id="ScrollableAggreg_Block">
  <div class="input-group input-group-xs">
    <span class="input-group-addon"><img src="Imgs/clock_15.png"/></span>
    <div class="input-group-btn">
      <button class="btn btn-default dropdown-toggle" type="button" id="btnScrollableAggreg" data-toggle="dropdown"><span style="display: inline-block; width: 56px; text-align: left;">1 hour</span><span class="caret"></span></button>
      <ul class="dropdown-menu pull-right">
        <li><a href="#">3 seconds</a></li>
        <li><a href="#">1 minute</a></li>
        <li><a href="#">10 minutes</a></li>
        <li><a href="#">1 hour</a></li>
      </ul>
    </div>
  </div>
</div>
<div id="ScrollableAggregEnergy_Block">
  <div class="input-group input-group-xs">
    <span class="input-group-addon"><img src="Imgs/clock_15.png"/></span>
    <div class="input-group-btn">
      <button class="btn btn-default dropdown-toggle" type="button" id="btnScrollableAggreg" data-toggle="dropdown"><span style="display: inline-block; width: 56px; text-align: left;">1 hour</span><span class="caret"></span></button>
      <ul class="dropdown-menu pull-right">
        <li><a href="#">15 minutes</a></li>
        <li><a href="#">1 hour</a></li>
      </ul>
    </div>
  </div>
</div>
<div id="ScrollableTime_Block">
  <div class="input-group input-group-xs">
    <span class="input-group-addon"><img src="Imgs/outlook_calendar_work_week.png"/></span>
    <div class="input-group-btn">
      <button class="btn btn-default dropdown-toggle" type="button" id="btnScrollablePeriod" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><span style="display: inline-block; width: 37px; text-align: left;">Custom</span><span class="caret"></span></button>
      <ul class="dropdown-menu pull-right">
        <li><a href="#">Day</a></li>
        <li><a href="#">Week</a></li>
        <li><a href="#">Month</a></li>
        <li><a href="#">Year</a></li>
      </ul>
    </div>
  </div>
</div>
<div id="Years_Block">
  <span>Year</span><br>
  <div class="dropdown">
    <button class="btn btn-default dropdown-toggle btn-xs" type="button" id="btnYear" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><span style="display: inline-block; width: 50px; text-align: left;"></span><span class="caret"></span></button>
    <ul class="dropdown-menu">
    </ul>
  </div>
</div>
<div id="BlockSize_Block">
  <span>Blocks</span><br>
  <div class="dropdown">
    <button class="btn btn-default dropdown-toggle btn-xs" type="button" id="btnBlocks" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true"><span style="display: inline-block; width: 80px; text-align: left;"></span><span class="caret"></span></button>
    <ul class="dropdown-menu pull-right">
      <li><a href="#">1 hour</a></li>
      <li><a href="#">30 minutes</a></li>
      <li><a href="#">20 minutes</a></li>
      <li><a href="#">10 minutes</a></li>
    </ul>
  </div>
</div>
<div id="PhaseV_Block">
  <button type="button" class="btn btn-default btn-xs disabled" data-toggle="tooltip" title="Show phase R"><img src="Imgs/phase_r.png"></button>
  <button type="button" class="btn btn-default btn-xs disabled" data-toggle="tooltip" title="Show phase S"><img src="Imgs/phase_s.png"></button>
  <button type="button" class="btn btn-default btn-xs disabled" data-toggle="tooltip" title="Show phase T"><img src="Imgs/phase_t.png"></button>
</div>
<div id="PhaseI_Block">
  <button type="button" class="btn btn-default btn-xs disabled" data-toggle="tooltip" title="Show phase R"><img src="Imgs/phase_r.png"></button>
  <button type="button" class="btn btn-default btn-xs disabled" data-toggle="tooltip" title="Show phase S"><img src="Imgs/phase_s.png"></button>
  <button type="button" class="btn btn-default btn-xs disabled" data-toggle="tooltip" title="Show phase T"><img src="Imgs/phase_t.png"></button>
  <button type="button" class="btn btn-default btn-xs disabled" data-toggle="tooltip" title="Show phase N"><img src="Imgs/phase_n.png"></button>
</div> 
<div id="GraphTools_Block">
  <button type="button" class="btn btn-default btn-xs" data-function="Export"   data-toggle="tooltip" title="Export data to CSV file"><img src="Imgs/table_export.png"/></button>
  <button type="button" class="btn btn-default btn-xs" data-function="Maximize" data-toggle="tooltip" title="Maximize graph"><img src="Imgs/arrow_out.png"/></button>
</div>
<div id="GraphPlay_Block">
  <button type="button" class="btn btn-default btn-xs" id="btnNow"  data-toggle="tooltip" title="Move to most recent samples and update in real time"><i class="fa fa-play"></i></button>
</div>
<div id="GraphToolsPlay_Block">
  <button type="button" class="btn btn-default btn-xs" data-function="Update"   data-toggle="tooltip" title="Show most recent samples and update in real time"><img src="Imgs/time_go.png"/></button>
  <button type="button" class="btn btn-default btn-xs" data-function="Export"   data-toggle="tooltip" title="Export data to CSV file"><img src="Imgs/table_export.png"/></button>
  <button type="button" class="btn btn-default btn-xs" data-function="Maximize" data-toggle="tooltip" title="Maximize graph"><img src="Imgs/arrow_out.png"/></button>
</div>
<div id="Header_Block">
  <div id="DisableDiv" class="overlay"></div>
  <div class="navbar-header">
    <div class="navbar-brand">
      <embed src="Imgs/Logo2.svg" type="image/svg+xml" /><br/>
      <div style="font-size: 12px; color: #FFF; margin-top: -5px">
        <span class="navbar-time">Node time:&nbsp;</span><span id="NodeTime">?</span>
      </div>
    </div>
    <button type="button" class="navbar-toggle" id="sidenav-toggle">
      <span class="glyphicon glyphicon-menu-hamburger"></span>
    </button>
  </div>
  <div id="app">
    <navbar-indicators ref="indicator_bar" interval="5000"></navbar-indicators>
  </div>
  <nav class="sidenav" data-sidenav data-sidenav-toggle="#sidenav-toggle">
    <div class="sidenav-header">
      <div class="small pull-left"><span id="labelUserName"></span></div>
      <div class="btn-group pull-right">
        <button type="button" class="btn btn-default btn-xs navbar-btn" data-toggle="tooltip" title="User edit" id="btnUserEdit"><img src="Imgs/user_edit.png"></button>
        <button type="button" class="btn btn-default btn-xs navbar-btn" data-toggle="tooltip" title="User logout" id="btnUserLogout"><img src="Imgs/user_go.png"></button>
      </div>
      <span class="clearfix"></span>
    </div>
    <div class="sidenav-header hide" id="AnalyzerNavHeader">
      <div class="small pull-left"><span id="labelAnalyzerName"></span></div>
      <div class="btn-group pull-right">
        <button type="button" class="btn btn-default btn-xs navbar-btn disabled" id="btnAnalyzerSearch">
          <img src="Imgs/magnifier.png">
        </button>
        <button type="button" class="btn btn-default btn-xs navbar-btn disabled">
          <img src="Imgs/exclamation.png">
        </button>
      </div>
      <table>
        <tr>
          <td>Disk:</td>
          <td colspan="3">
            <div class="progress">
              <div class="progress-bar" id="DiskPercent" role="progressbar" style="width:0%"></div>
            </div>
          </td>
        </tr>
        <tr>
          <td>Battery:</td>
          <td colspan="3">
            <div class="progress" style="margin-bottom:0px; position:relative">
              <div class="progress-bar" id="BatteryPercent" role="progressbar" style="width:0%"></div>
            </div>
          </td>
        </tr>
        <tr id="StatusRow">
          <td>Usage:</td>
          <td id="UsageText"></td>
        </tr>              
        <tr>
          <td>Uptime:</td>
          <td id="UptimeText"></td>
        </tr>
      </table>
    </div>        
    <ul class="sidenav-menu hide" id="AnalyzerMenu">
      <li>
        <a href="Dashboard">
          <span class="sidenav-link-icon"><img class="sidenav-link-icon" src="Imgs/dashboard.png"></span>
          <span class="sidenav-link-title">Dashboard</span>
        </a>
      </li>
      <li>
        <a href="javascript:;" data-sidenav-dropdown-toggle>
          <span class="sidenav-link-icon"><img class="sidenav-link-icon" src="Imgs/draw_wave.png"></span>
          <span class="sidenav-link-title">Analysis</span>
          <span class="sidenav-dropdown-icon show" data-sidenav-dropdown-icon><img src="Imgs/bullet_arrow_down.png"></span>
          <span class="sidenav-dropdown-icon" data-sidenav-dropdown-icon><img src="Imgs/bullet_arrow_up.png"></span>          
        </a>
        <ul class="sidenav-dropdown" data-sidenav-dropdown>
          <li><a href="Analysis/Voltage">Voltage</a></li>
          <li><a href="Analysis/Current">Current</a></li>
          <li><a href="Analysis/Power">Power</a></li>
          <li><a href="Analysis/Energy">Energy</a></li>
          <li><a href="Analysis/Frequency">Frequency</a></li>
        </ul>
      </li>
      <li>
        <a href="javascript:;" data-sidenav-dropdown-toggle>
          <span class="sidenav-link-icon"><img class="sidenav-link-icon" src="Imgs/warning.png"></span>
          <span class="sidenav-link-title">Events</span>
          <span class="sidenav-dropdown-icon show" data-sidenav-dropdown-icon><img src="Imgs/bullet_arrow_down.png"></span>
          <span class="sidenav-dropdown-icon" data-sidenav-dropdown-icon><img src="Imgs/bullet_arrow_up.png"></span>
        </a>
        <ul class="sidenav-dropdown" data-sidenav-dropdown>
          <li><a href="Events/ITIC">ITIC</a></li>
          <li><a href="Events/Disturbances">Disturbances</a></li>
          <li><a href="Events/EN50160">EN50160</a></li>
        </ul>
      </li>
      <li>
        <a href="javascript:;" data-sidenav-dropdown-toggle>
          <span class="sidenav-link-icon"><img class="sidenav-link-icon" src="Imgs/table_money.png"></span>
          <span class="sidenav-link-title">Energy Stats</span>
          <span class="sidenav-dropdown-icon show" data-sidenav-dropdown-icon><img src="Imgs/bullet_arrow_down.png"></span>
          <span class="sidenav-dropdown-icon" data-sidenav-dropdown-icon><img src="Imgs/bullet_arrow_up.png"></span>
        </a>
        <ul class="sidenav-dropdown" data-sidenav-dropdown>
          <li><a href="Stats/Costs">Costs</a></li>
          <li><a href="Stats/Heatmap">Heatmap</a></li>
          <li><a href="Stats/Distribution">Distribution</a></li>
        </ul>
      </li>
    </ul>
    <ul class="sidenav-menu">
      <li class="hide" id="menuSettings">
        <a href="Settings">
          <span class="sidenav-link-icon"><img class="sidenav-link-icon" src="Imgs/cog.png"></span>
          <span class="sidenav-link-title">Settings</span>
        </a>
      </li>
      <li>
        <a href="Help">
          <span class="sidenav-link-icon"><img class="sidenav-link-icon" src="Imgs/help.png"></span>
          <span class="sidenav-link-title">Help</span>
        </a>
      </li>
    </ul>
    <div class="sidenav-version"><span>Build 21-01-2018</span>
      <div class="btn-group pull-right">
        <button type="button" class="btn btn-default btn-xs navbar-btn" id="btnSearchAnalyzer">
          <img src="Imgs/newspaper.png">
        </button>
      </div>
    </div>
  </nav>
  <div id="analyzer-app">
    <analyzers-dialog ref="AnalyzersDialog"></analyzers-dialog>
  </div>
  <div class="modal" id="dlgAnalyzers" tabindex="1" role="dialog" data-backdrop='static'>
    <div class="modal-dialog">
      <div class="modal-content" id="divAnalyzers">
        <div class="modal-header">
          <div class="pull-left"><h4 class="modal-title">Analyzers</h4></div>
          <div class="pull-right">
            <button type="button" class="btn btn-default btn-xs" data-dismiss="modal"><img src="Imgs/arrow_undo.png"></button>
          </div>
        </div>
        <div class="modal-body">
          <table id="tblAnalyzers" class="table small table-striped table-responsive" style="width: 100%">
            <thead><tr><th style="width:20px">Status</th><th>Name</th><th style="width:60px">Type</th><th style="width:80px"></th></tr></thead>
            <tbody>
            </tbody>
          </table>
        </div>
      </div>
      <div class="modal-content hide" id="divAnalyzersConfig">
        <div class="modal-header">
          <div class="pull-left"><h4 class="modal-title">Analyzers &raquo; Configuration</h4></div>
          <div class="pull-right btn-group">
            <button type="button" class="btn btn-default btn-xs" id="btnAnalyzersConfigSave"><img src="Imgs/diskette.png" alt="Save"></button>
            <button type="button" class="btn btn-default btn-xs" id="btnAnalyzersConfigBack"><img src="Imgs/arrow_undo.png" alt="Discard"></button>
          </div>
        </div>
        <div class="modal-body">
          <div class="row" id="divAnalyzersConfig">
            <div class="col-xs-12">
              <label class="control-label">Serial number</label>
              <input type="text" class="form-control" id="inputAnalyzerID" disabled>
            </div>
            <div class="col-xs-12">
              <label class="control-label">Display name</label>
              <input type="text" class="form-control" id="inputAnalyzerName">
            </div>
            <div class="col-xs-12 col-sm-6">
              <label class="control-label">Voltage</label>
              <div class="input-group">
                <input type="text" class="form-control" id="inputAnalyzerVoltage">
                <span class="input-group-addon" id="basic-addon1">V</span>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6">
              <label class="control-label">Frequency</label>
              <div class="input-group">
                <input type="text" class="form-control" id="inputAnalyzerFrequency">
                <span class="input-group-addon" id="basic-addon1">Hz</span>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6">
              <label class="control-label">CUPS</label>
              <input type="text" class="form-control" id="inputAnalyzerCUPS">
            </div>
            <div class="col-xs-12 col-sm-6">
              <label class="control-label">Postal code</label>
              <input type="text" class="form-control" id="inputAnalyzerZIP">
            </div>
            <div class="col-xs-12 col-sm-12">
              <label class="control-label">Location</label>
              <div class="input-group">
                <span class="input-group-addon">Lat</span>
                <input type="text" class="form-control" id="inputAnalyzerLat">
                <span class="input-group-addon">Long</span>
                <input type="text" class="form-control" id="inputAnalyzerLong">
                <span class="input-group-btn"><button class="btn btn-default"><img src="Imgs/globe_africa.png"></button></span>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-content hide" id="divAnalyzersACL">
        <div class="modal-header">
          <div class="pull-left"><h4 class="modal-title">Analyzers &raquo; ACL</h4></div>
          <div class="pull-right btn-group">
            <button type="button" class="btn btn-default btn-xs"><img src="Imgs/diskette.png" alt="Save"></button>
            <button type="button" class="btn btn-default btn-xs" id="btnAnalyzersACLBack"><img src="Imgs/arrow_undo.png" alt="Discard"></button>
          </div>
        </div>
        <div class="modal-body">
          <div class="row">

          </div>
        </div>
      </div>
      <div class="modal-content hide" id="divAnalyzersTariff">
        <div id="divAnalyzersTariffSpinner" class="spinnerdiv"></div>
        <div class="modal-header">
          <div class="pull-left"><h4 class="modal-title">Analyzers &raquo; Tariffs</h4></div>
          <div class="pull-right btn-group">
            <button type="button" class="btn btn-default btn-xs" id="btnAnalyzersTariffsAdd"><img src="Imgs/plus.png" alt="New tariff"></button>
            <button type="button" class="btn btn-default btn-xs" id="btnAnalyzersTariffsBack"><img src="Imgs/arrow_undo.png" alt="Discard"></button>
          </div>
        </div>
        <div class="modal-body">
          <table id="tblAnalyzersTariff" class="table small table-striped table-responsive" style="width: 100%">
            <thead>
              <tr>
                <th>Name</th><th>Module</th><th>Start date</th><th></th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>                  
        </div>
      </div>
      <div class="modal-content hide" id="divAnalyzersTariffEdit">
        <div id="divAnalyzersTariffEditSpinner" class="spinnerdiv"></div>
        <div class="modal-header">
          <div class="pull-left"><h4 class="modal-title">Analyzers &raquo; Tariffs &raquo; Edit</h4></div>
          <div class="pull-right btn-group">
            <button type="button" class="btn btn-default btn-xs" id="btnAnalyzersTariffSave"><img src="Imgs/diskette.png" alt="New tariff"></button>
            <button type="button" class="btn btn-default btn-xs" id="btnAnalyzersTariffBack"><img src="Imgs/arrow_undo.png" alt="Discard"></button>
          </div>
        </div>
        <div class="modal-body">
          <div class="alert alert-danger text-center hide" id="divAnalyzersTariffError" style="margin-bottom: 5px; padding: 5px;"></div>
          <div class="alert alert-success text-center hide" id="divAnalyzersTariffSuccess" style="margin-bottom: 5px; padding: 5px;"></div>
          <div class="row">
            <div class="col-xs-12">
              <label class="control-label">Base Tariff</label>
              <div class="input-group">
                <input type="text" class="form-control" id="inputAnalyzerTariffBase" autocomplete="off">
                <div class="input-group-btn">
                  <button type="button" class="btn btn-default dropdown-toggle" data-toggle=""><span class="caret"></span></button>
                  <ul class="dropdown-menu dropdown-menu-right" role="menu"></ul>
                </div>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6">
              <label class="control-label">Start date</label>
              <div class='input-group date' id='inputAnalyzerTariffStartDate'>
                <input type='text' class="form-control" />
                <span class="input-group-addon">
                  <span class="glyphicon-calendar"></span>
                </span>
              </div>
            </div>
            <div class="col-xs-12 col-sm-6">
              <label class="control-label">End date</label>
              <div class='input-group date' id='inputAnalyzerTariffEndDate'>
                <input type='text' class="form-control" />
                <span class="input-group-addon">
                  <span class="glyphicon-calendar"></span>
                </span>
              </div>
            </div>
            <div class="col-xs-12">
              <label class="control-label">Description</label>
              <textarea class="form-control" rows="3" id="inputAnalyzerTariffComments" style="resize: none"></textarea>
            </div>
            <div id="divAnalyzerTariffPeriods">
            </div>

            <div class="col-xs-12 hide">
              <label class="control-label">IVA</label>
              <div class="input-group">
                <input type="text" class="form-control">
                <span class="input-group-addon">%</span>
              </div>
            </div>
          </div>

        </div>
      </div>          



      <div class="modal-content hide" id="divAnalyzersMaintenance">
        <div class="modal-header">
          <div class="pull-left"><h4 class="modal-title">Analyzers &raquo; Maintenance</h4></div>
          <div class="pull-right btn-group">
            <button type="button" class="btn btn-default btn-xs"><img src="Imgs/diskette.png" alt="Save"></button>
            <button type="button" class="btn btn-default btn-xs"><img src="Imgs/arrow_undo.png" alt="Discard"></button>
          </div>
        </div>
        <div class="modal-body">
          <div class="row">

          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal" id="dlgNews" tabindex="1" role="dialog" data-backdrop='static'>
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <div class="pull-left"><h4 class="modal-title"></h4></div>
          <div class="pull-right btn-group">
            <button type="button" class="btn btn-default btn-xs" id="btnTariffBack" data-dismiss="modal"><img src="Imgs/arrow_undo.png" alt="Close"></button>
          </div>
        </div>
        <div class="modal-body">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" id="btnNewsNext">Next</button>
        </div>
      </div>
    </div>
  </div>
</div>
